KDE 4.2 PyKDE API Reference

- KDE's Python API

# Plasma.PaintUtils Namespace Reference

`from PyKDE4.plasma.Plasma.PaintUtils import *`

## Detailed Description

Namespace for all Image Effects specific to Plasma

## Functions

QPainterPath | roundedRectangle (QRectF rect, float radius)
| shadowBlur (QImage image, int radius, QColor color)
QPixmap | shadowText (QString text, QFont font, QColor textColor=Plasma.Theme.defaultTheme()->color(Plasma.Theme.TextColor), QColor shadowColor=Plasma.Theme.defaultTheme()->color(Plasma.Theme.BackgroundColor), QPoint offset=QPoint(1,1), int radius=2)
QPixmap | shadowText (QString text, QColor textColor=Plasma.Theme.defaultTheme()->color(Plasma.Theme.TextColor), QColor shadowColor=Plasma.Theme.defaultTheme()->color(Plasma.Theme.BackgroundColor), QPoint offset=QPoint(1,1), int radius=2)
QPixmap | transition (QPixmap from, QPixmap to, float amount)

## Function Documentation

QPainterPath roundedRectangle | ( | QRectF | rect,
|  | float | radius
| ) |  |  |

Returns a nicely rounded rectanglular path for painting.

shadowBlur | ( | QImage | image,
|  | int | radius,
|  | QColor | color
| ) |  |  |

Creates a blurred shadow of the supplied image.

QPixmap shadowText | ( | QString | text,
|  | QFont | font,
|  | QColor | textColor=Plasma.Theme.defaultTheme()->color(Plasma.Theme.TextColor),
|  | QColor | shadowColor=Plasma.Theme.defaultTheme()->color(Plasma.Theme.BackgroundColor),
|  | QPoint | offset=QPoint(1,1),
|  | int | radius=2
| ) |  |  |

Returns a pixmap containing text with blurred shadow. Text and shadow colors default to Plasma.Theme colors.

QPixmap shadowText | ( | QString | text,
|  | QColor | textColor=Plasma.Theme.defaultTheme()->color(Plasma.Theme.TextColor),
|  | QColor | shadowColor=Plasma.Theme.defaultTheme()->color(Plasma.Theme.BackgroundColor),
|  | QPoint | offset=QPoint(1,1),
|  | int | radius=2
| ) |  |  |

QPixmap transition | ( | QPixmap | from,
|  | QPixmap | to,
|  | float | amount
| ) |  |  |

Blends a pixmap into another